MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000629XdebugInstallationpublic2010-10-21 06:472012-12-18 12:35
Reporterpaulgao 
Assigned Toderick 
PriorityimmediateSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinxOSCentos 64bitOS Version5.5
Product Version2.2dev 
Target Version2.2.2Fixed in Version2.2.2 
Summary0000629: compile failed...
Description/home/codebase/software/xdebug/xdebug_code_coverage.c: In function ‘xdebug_find_var_name’:
/home/codebase/software/xdebug/xdebug_code_coverage.c:90: error: ‘znode’ has no member named ‘zv’
/home/codebase/software/xdebug/xdebug_code_coverage.c:92: error: ‘znode’ has no member named ‘zv’
/home/codebase/software/xdebug/xdebug_code_coverage.c:105: error: ‘zend_op’ has no member named ‘op1_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c:113: error: ‘zend_op’ has no member named ‘op2_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c:120: error: ‘zend_op’ has no member named ‘op2_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c:148: error: ‘zend_op’ has no member named ‘op1_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c:152: error: ‘zend_op’ has no member named ‘op2_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c:155: error: ‘zend_op’ has no member named ‘op2_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c:170: error: ‘zend_op’ has no member named ‘op2_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c:178: error: ‘zend_op’ has no member named ‘op2_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c: In function ‘xdebug_common_assign_dim_handler’:
/home/codebase/software/xdebug/xdebug_code_coverage.c:225: error: ‘zend_op’ has no member named ‘op1_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c:227: error: ‘zend_op’ has no member named ‘op1_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c:229: error: ‘zend_op’ has no member named ‘op2_type’
/home/codebase/software/xdebug/xdebug_code_coverage.c: In function ‘xdebug_find_jump’:
/home/codebase/software/xdebug/xdebug_code_coverage.c:366: error: ‘znode’ has no member named ‘zv’
make: *** [xdebug_code_coverage.lo] Error 1
make: *** Waiting for unfinished jobs....

failed.
Steps To Reproduce/usr/local/php/bin/phpize
./configure --enable-xdebug --with-php-config=/usr/local/php/bin/php-config
make -j8
TagsNo tags attached.
Operating System
PHP Version5.3.3
Attached Files

- Relationships

-  Notes
(0001590)
derick (administrator)
2010-10-26 16:22

This should be fixed in SVN already.

- Issue History
Date Modified Username Field Change
2010-10-21 06:47 paulgao New Issue
2010-10-26 16:22 derick Note Added: 0001590
2010-10-26 16:22 derick Status new => resolved
2010-10-26 16:22 derick Resolution open => fixed
2010-10-26 16:22 derick Assigned To => derick
2012-12-18 12:35 derick Fixed in Version => 2.2.2
2012-12-18 12:35 derick Target Version => 2.2.2


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker